GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
gdcm::Region Class Referenceabstract

Class for manipulation region. More...

`#include <gdcmRegion.h>`

Inheritance diagram for gdcm::Region:
[legend]

## Public Member Functions

| Region ()
virtual | ~Region ()
virtual size_t | Area () const =0
| compute the area
virtual Region * | Clone () const =0
virtual BoxRegion | ComputeBoundingBox ()=0
| Return the Axis-Aligned minimum bounding box for all regions.
virtual bool | Empty () const =0
| return whether this domain is empty:
virtual bool | IsValid () const =0
| return whether this is valid domain
virtual void | Print (std::ostream &os=std::cout) const
| Print.

## Detailed Description

Class for manipulation region.

## Constructor & Destructor Documentation

gdcm::Region::Region | ( |  | ) |

virtual gdcm::Region::~Region | ( |  | ) |

virtual

## Member Function Documentation

virtual size_t gdcm::Region::Area | ( |  | ) | const

pure virtual

compute the area

Implemented in gdcm::BoxRegion.

virtual Region* gdcm::Region::Clone | ( |  | ) | const

pure virtual

Implemented in gdcm::BoxRegion.

virtual BoxRegion gdcm::Region::ComputeBoundingBox | ( |  | ) |

pure virtual

Return the Axis-Aligned minimum bounding box for all regions.

Implemented in gdcm::BoxRegion.

virtual bool gdcm::Region::Empty | ( |  | ) | const

pure virtual

return whether this domain is empty:

Implemented in gdcm::BoxRegion.

virtual bool gdcm::Region::IsValid | ( |  | ) | const

pure virtual

return whether this is valid domain

Implemented in gdcm::BoxRegion.

virtual void gdcm::Region::Print | ( | std::ostream & | os = `std::cout` | ) | const

virtual

Print.

Reimplemented in gdcm::BoxRegion.

Referenced by gdcm::operator<<().

The documentation for this class was generated from the following file:

- gdcmRegion.h